Categories:
  - Sports & Health
  - Writing
License: GPL-3.0-only
AuthorName: Alex Gorichev
AuthorEmail: Alex.Gorichev@protonmail.com
SourceCode: https://github.com/Voklen/Daily-Diary
IssueTracker: https://github.com/Voklen/Daily-Diary/issues

AutoName: Daily Diary

RepoType: git
Repo: https://github.com/Voklen/Daily-Diary.git

Builds:
  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - linux
      - macos
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - .pub-cache
      - submodules/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release

  - versionName: 1.1.0
    versionCode: 3
    commit: 3d0b38b020fce960a8d8a4ecd8bf5db91fa2d15b
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - linux
      - macos
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - .pub-cache
      - submodules/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release

  - versionName: 1.2.0
    versionCode: 4
    commit: b45fe2e69ca99a6d62d2012364bfcc3ce28f6814
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - linux
      - macos
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - .pub-cache
      - submodules/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release

  - versionName: 1.2.1
    versionCode: 5
    commit: a6a50fbf6cfa14c54a06971e5eb9cd94dda8817f
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - linux
      - macos
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - .pub-cache
      - submodules/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk --release

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.2.1
CurrentVersionCode: 5
